obsolete

Lmod-6.3.1-3.el6

FEDORA-EPEL-2016-81e9d1896a created by orion 8 years ago for Fedora EPEL 6

Update to 6.3.1

  • protects it from user changes to LUA_PATH and LUA_CPATH by using these values at configuration time.
  • Fixed bug with Capital Letters in a version string.
  • Do not overwrite MODULEPATH (bug #1326075)

This update has been submitted for testing by orion.

8 years ago

orion edited this update.

8 years ago

This update has been pushed to testing.

8 years ago
User Icon anonymous commented & provided feedback 8 years ago

package: Lmod-6.3.1-1.el6.x86_64

unresolved deps:

 /usr/bin/ps

On rhel6 that's /bin/ps

karma: -1

User Icon dmenendez commented & provided feedback 8 years ago
karma

Confirming dependency problem on Lmod-6.3.1-1.el6.x86_64.rpm

# rpm -i Lmod-6.3.1-1.el6.x86_64.rpm 
error: Failed dependencies:
        /usr/bin/ps is needed by Lmod-6.3.1-1.el6.x86_64

$ type ps
ps is hashed (/bin/ps)
$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.7 (Santiago)

orion edited this update.

New build(s):

  • Lmod-6.3.1-2.el6

Removed build(s):

  • Lmod-6.3.1-1.el6
8 years ago

This update has been submitted for testing by orion.

8 years ago
User Icon dmenendez commented & provided feedback 8 years ago

Not yet :-)

/usr/bin/ps is hardcoded in /etc/profile.d/z00_lmod.sh

$ ssh localhost
...
-bash: /usr/bin/ps: No such file or directory
/bin/basename: missing operand
Try `/bin/basename --help' for more information.
$ grep '/usr/bin/ps' /etc/profile.d/*
/etc/profile.d/z00_lmod.sh:  my_shell=$(/usr/bin/ps -p $$ -ocomm=)
User Icon orion commented & provided feedback 8 years ago

Bah - okay I have http://koji.fedoraproject.org/koji/taskinfo?taskID=13812037 but I can't edit this update again until it is unlocked.

User Icon dmenendez commented & provided feedback 8 years ago
karma

Looking good now. Thanks!

$ ssh localhost
...
$ echo $0
-bash
$ ml
No modules loaded

$ ml lmod
$ ml

Currently Loaded Modules:
  1) lmod/6.3.1

$ bash
$ echo $0
bash
$ ml

Currently Loaded Modules:
  1) lmod/6.3.1

$ csh
$ echo $0
csh
$ ml

Currently Loaded Modules:
  1) lmod/6.3.1
BZ#1326075 Lmod packages prevent the correct function of `module use`, upon further bash/csh invocations

This update has been pushed to testing.

8 years ago

orion edited this update.

New build(s):

  • Lmod-6.3.1-3.el6

Removed build(s):

  • Lmod-6.3.1-2.el6
8 years ago

This update has been submitted for testing by orion.

8 years ago

This update has been pushed to testing.

8 years ago

orion edited this update.

8 years ago

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

8 years ago

This update has been obsoleted by Lmod-6.3.4-1.el6.

8 years ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
8 years ago
in testing
8 years ago
modified
8 years ago
BZ#1326075 Lmod packages prevent the correct function of `module use`, upon further bash/csh invocations
0
0
BZ#1333201 With Lmod-6.0.15-2.el6.noarch installed, bash logins error with /usr/bin/ps not found
0
0

Automated Test Results